#pragma CONST_SEG BOOTLOADER_STATE_SEG
extern const unsigned char bootloader_state[2];

#pragma CONST_SEG BOOTLOADER_VERSION_SEG
extern const unsigned char bootloader_ver;

#pragma CODE_SEG SECONDARY_VECTORS_SEG
void secondary_vectors(void);

#pragma CONST_SEG PRIMARY_VECTORS_SEG
extern void * const primary_vectors[16];

#pragma CODE_SEG BOOTLOADER_SEG
void bootloader(void);

#define BOOTLOADER_STATE_ADDR 0xF9CE  /* address of the bootloader_state array as per the linker file */
#define ICP_ADDRESS           0xFA19  /* address of the USB in-circuit programming routine */
#define FLASH_PRG_ADDRESS	  	0xFC09  /* address of the flash programming routine */
#define CPUSPD                (*((unsigned char *)0x0089))  /* CPU speed for flash programming (24) */
#define LADDR                 (*((unsigned int *)0x008A))   /* last address to be programmed (start address is in H:X) */
#define DATABUFF              ((unsigned char *)0x0100)     /* data to be programmed */

#pragma CODE_SEG DEFAULT
void force_bootloader(void);

#pragma CONST_SEG DEFAULT
